> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Agent Groups

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

To retrieve the list of agent groups with the given `streamId`.

| **Method**        | GET                                                                                                                            |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **Endpoint**      | `https://{{host}}/agentassist/api/v1/public/{{streamId}}/agent-groups`                                                         |
| **Content Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | Configuration                                                                                                                  |

## Path Parameters

| **Parameter** | **Description**                                               | **Type**         |
| ------------- | ------------------------------------------------------------- | ---------------- |
| host          | Environment URL, for example, `https://platform.kore.ai`      | string, required |
| streamId      | botId or streamId. You can get it from the App Settings page. | string, required |

## Sample Request

```
curl --location --request GET \
     'https://{{host}}/agentassist/api/v1/public/{{streamId}}/agent-groups' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
```

## Sample Response

```json theme={null}
{
    "results": [
        {
            "isDefault": true,
            "isUnassigned": false,
            "status": "ACTIVE",
            "name": "Default Group",
            "description": "Default Group (Auto Created).",
            "iId": "st-3bf09bef-f979-5489-b337-f465bd5dxxxx",
            "createdBy": "u-40d2bdc2-822a-51a2-bdcd-95bdf483xxxx",
            "orgId": "o-0f5df379-56f6-5d5f-beff-73d9dbeexxxx",
            "lname": "default group",
            "createdByAId": null,
            "createdAt": "2023-07-31T07:27:35.219Z",
            "updatedAt": "2023-07-31T07:27:35.219Z",
            "id": "ag-3921798-30ce-41b4-9ed4-3ad6725dxxxx",
            "totalAgents": 0,
            "managers": []
        }
    ],
    "skip": 0,
    "limit": 10,
    "hasMore": false,
    "totalPages": 0,
    "totalResults": 1
}
```
